Bug 1293359 - rpmlint generates error messages for rhscon-ui package
rpmlint generates error messages for rhscon-ui package
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: build (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: Timothy Asir
Martin Kudlej
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 09:24 EST by Martin Kudlej
Modified: 2016-07-14 03:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2015-12-21 09:24:52 EST
Description of problem:
There are errors and warning in rpmlint check of rhscon-ui package.

Version-Release number of selected component (if applicable):
rhscon-ui-0.0.1-0.1.el7.noarch.rpm

How reproducible:
100%

Steps to Reproduce:
1. rpmlint -i rhscon-ui-0.0.1-0.1.el7.noarch.rpm

Actual results:
11 errors, 5 warnings.

Expected results:
No errors. No warnings if it is possible.


Additional info:
$ rpmlint -i rhscon-ui-0.0.1-0.1.el7.noarch.rpm
rhscon-ui.noarch: W: non-standard-group System/Filesystems
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "Unspecified", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

rhscon-ui.noarch: W: no-version-in-last-changelog
The latest changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.

rhscon-ui.noarch: W: invalid-license Apache V2
The value of the License tag was not recognized.  Known values are: "AAL",
"Abstyles", "Adobe", "ADSL", "AFL", "Afmparse", "AGPLv1", "AGPLv3", "AGPLv3
with exceptions", "AMDPLPA", "AML", "AMPAS BSD", "APAFML", "APSL 2.0", "APSL
2.0+", "ARL", "Artistic 2.0", "Artistic clarified", "ASL 1.0", "ASL 1.0+",
"ASL 1.1", "ASL 1.1+", "ASL 2.0", "ASL 2.0+", "Bahyph", "Barr", "Beerware",
"BeOpen", "Bibtex", "BitTorrent", "Boost", "Borceux", "BSD", "BSD Protection",
"BSD with advertising", "BSD with attribution", "CATOSL", "CC0", "CeCILL",
"CeCILL-B", "CeCILL-C", "CDDL", "CNRI", "Condor", "Copyright only", "CPAL",
"CPL", "Crossword", "Crystal Stacker", "Cube", "diffmark", "DOC", "Dotseqn",
"DSDP", "dvipdfm", "ECL 1.0", "ECL 2.0", "eCos", "EFL 2.0", "EFL 2.0+",
"eGenix", "Entessa", "EPL", "ERPL", "EU Datagrid", "EUPL 1.1", "Eurosym",
"Fair", "FSFUL", "FSFULLR", "FTL", "Giftware", "GL2PS", "Glide", "Glulxe",
"gnuplot", "GPL+", "GPL+ or Artistic", "GPL+ with exceptions", "GPLv1", "GPLv2
or Artistic", "GPLv2+ or Artistic", "GPLv2", "GPLv2 with exceptions",
"GPLv2+", "GPLv2+ with exceptions", "GPLv3", "GPLv3 with exceptions",
"GPLv3+", "GPLv3+ with exceptions", "HaskellReport", "IBM", "IJG",
"ImageMagick", "iMatix", "Imlib2", "Intel ACPI", "Interbase", "ISC", "Jabber",
"JasPer", "JPython", "Julius", "Knuth", "Latex2e", "LBNL BSD", "Leptonica",
"LGPLv2", "LGPLv2 with exceptions", "LGPLv2+", "LGPLv2+ or Artistic", "LGPLv2+
with exceptions", "LGPLv3", "LGPLv3 with exceptions", "LGPLv3+", "LGPLv3+ with
exceptions", "Lhcyr", "libtiff", "LLGPL", "Logica", "LPL", "LPPL",
"MakeIndex", "mecab-ipadic", "midnight", "MirOS", "MIT", "MITNFA", "MIT with
advertising", "mod_macro", "Motosoto", "MPLv1.0", "MPLv1.0+", "MPLv1.1",
"MPLv1.1+", "MPLv2.0", "MS-PL", "MS-RL", "MTLL", "Mup", "Naumen", "NCSA",
"NetCDF", "Netscape", "Newmat", "Newsletr", "NGPL", "NLPL", "Nokia", "NOSL",
"Noweb", "OML", "OpenLDAP", "OpenPBS", "OpenSSL", "OReilly", "OSL 1.0", "OSL
1.0+", "OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 2.1", "OSL 2.1+",
"OSL 3.0", "OSL 3.0+", "Par", "Phorum", "PHP", "PlainTeX", "Plexus",
"PostgreSQL", "psfrag", "psutils", "Public Domain", "Python", "Qhull", "QPL",
"Rdisc", "RiceBSD", "Romio", "RPSL", "Rsfs", "Ruby", "Saxpath", "SCEA",
"SCRIP", "Sendmail", "Sleepycat", "SISSL", "SLIB", "SNIA", "softSurfer",
"SPL", "STMPL", "SWL", "TCL", "Teeworlds", "Threeparttable", "TMate",
"TORQUEv1.1", "TOSL", "TPL", "UCD", "Vim", "VNLSL", "VOSTROM", "VSL", "W3C",
"Webmin", "Wsuipa", "WTFPL", "wxWidgets", "Xerox", "xinetd", "xpp", "XSkat",
"YPLv1.1", "Zed", "Zend", "zlib", "zlib with acknowledgement", "ZPLv1.0",
"ZPLv1.0+", "ZPLv2.0", "ZPLv2.0+", "ZPLv2.1", "ZPLv2.1+", "CDL", "FBSDDL",
"GFDL", "IEEE", "LDPL", "OFSFDL", "Open Publication", "Public Use",
"Verbatim", "CC-BY", "CC-BY-ND", "CC-BY-SA", "DMTF", "DSL", "EFML", "Free
Art", "GeoGratis", "Green OpenMusic", "OAL", "AMS", "Arphic", "Baekmuk",
"Bitstream Vera", "DoubleStroke", "Hershey", "IPA", "Liberation", "Lucida",
"MgOpen", "mplus", "OFL", "PTFL", "STIX", "Utopia", "Wadalab", "XANO",
"Redistributable, no modification permitted", "Freely redistributable without
restriction".

rhscon-ui.noarch: W: no-url-tag
The URL tag is missing.

rhscon-ui.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

rhscon-ui.noarch: E: script-without-shebang /usr/share/skyring/webapp/fonts/PatternFlyIcons-webfont.svg
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ui.noarch: E: script-without-shebang /usr/share/skyring/webapp/fonts/OpenSans-Semibold-webfont.svg
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ui.noarch: E: script-without-shebang /usr/share/skyring/webapp/fonts/OpenSans-SemiboldItalic-webfont.svg
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ui.noarch: E: script-without-shebang /usr/share/skyring/webapp/fonts/OpenSans-ExtraBoldItalic-webfont.svg
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ui.noarch: E: script-without-shebang /usr/share/skyring/webapp/fonts/OpenSans-Regular-webfont.svg
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ui.noarch: E: script-without-shebang /usr/share/skyring/webapp/fonts/OpenSans-BoldItalic-webfont.svg
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ui.noarch: E: script-without-shebang /usr/share/skyring/webapp/fonts/OpenSans-Italic-webfont.svg
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ui.noarch: E: script-without-shebang /usr/share/skyring/webapp/fonts/OpenSans-ExtraBold-webfont.svg
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ui.noarch: E: script-without-shebang /usr/share/skyring/webapp/fonts/OpenSans-LightItalic-webfont.svg
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ui.noarch: E: script-without-shebang /usr/share/skyring/webapp/fonts/OpenSans-Bold-webfont.svg
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rhscon-ui.noarch: E: script-without-shebang /usr/share/skyring/webapp/fonts/OpenSans-Light-webfont.svg
This text file has executable bits set or is located in a path dedicated for
executables, but lacks a shebang and cannot thus be executed.  If the file is
meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

1 packages and 0 specfiles checked; 11 errors, 5 warnings.
Comment 2 Timothy Asir 2016-03-30 08:09:07 EDT
Patch sent to upstream for review
https://review.gerrithub.io/#/c/270878/
Comment 3 Martin Kudlej 2016-07-14 03:54:32 EDT
There is just acceptable warning
$ rpmlint -i rhscon-ui
rhscon-ui.noarch: W: incoherent-version-in-changelog 0.0.47-1 ['0.0.47-1.el7scon', '0.0.47-1.el7scon']
The latest entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Note You need to log in before you can comment on or make changes to this bug.